Debian Bug report logs - #564441
iso-scan: proposed patch to select an ISO among multiple ones

version graph

Package: iso-scan; Maintainer for iso-scan is Debian Install System Team <debian-boot@lists.debian.org>; Source for iso-scan is src:iso-scan.

Reported by: Frédéric Boiteux <fboiteux@free.fr>

Date: Sat, 9 Jan 2010 15:12:01 UTC

Severity: wishlist

Tags: patch

Found in version iso-scan/1.28

Fixed in version iso-scan/1.32

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Sat, 09 Jan 2010 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric Boiteux <fboiteux@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 09 Jan 2010 15:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Boiteux <fboiteux@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iso-scan: proposed patch to select an ISO among multiple ones
Date: Sat, 09 Jan 2010 16:07:27 +0100
[Message part 1 (text/plain, inline)]
Package: iso-scan
Version: 1.28
Severity: wishlist
Tags: patch


	Hello,

  I asked back in october 2009 if it was possible to select the ISO
image we want to use when there are multiple ISO files available on the
installer media (see
http://lists.debian.org/debian-boot/2009/10/msg00064.html).

  After a while, I tried to build a patch to iso-scan package to do it
(see attached file). I'm not familiar with debconf nor installer, so
I'm not sure I've done the right way.

  I see 2 solutions for my problem :
- either I parse all ISO files from all disks/partitions, and ask for
choice if any : I thought it could be quite long to parse all
partitions, and this way all installer' users have to wait for this.
- either after each ISO file found, we ask if it's the right one. I
followed this last track, and put the question with a 'medium'
debconf level, so in 'normal' installations, the question shouldn't
either appear and block the user (it would also be annoying to add a
step to all people for a need of few ones).

I've patched the iso-scan source and tried to test the result, without
success, because I didn't know how to rebuild a whole installer image.

Here is what I've done, if you see some advices to let me achieve the
tests, tell me ; if someone could also test the patch, it would be
nice !

- on a USB drive with already a debian installer system and 2 debian
iso (Lenny and testing), I've put my modified iso-scan.postinst and
iso-scan.templates files. I've then started on it with qemu :

$ qemu -hda /dev/sdb -vnc :0

and added 'install debconf/priority=medium' to the kernel cmd line.

$ after selecting language, country and locale, I selected the menu
entry to get a shell, and inside, I mound the usb disk partition and
copy from it iso-scan.postinst in /var/lib/dpkg/info/ (replacing
original one) and I load iso-scan.templates :

$ mkdir /media/usbdisk
$ mount /dev/hda2 /media/usbdisk -t ext2
$ cp /media/usbdisk/iso-scan.postinst /var/lib/dpkg/info/
$ debconf-loadtemplate iso-scan /media/usbdisk/iso-scan.templates
$ exit

And then I go back to the menu and select item to search for an
installation ISO

but the item fails, and looking in /var/log/syslog, I get that
iso-scan's new debconf template is not found :-(
(debconf returns : RET='10 iso-scan/ask_right_iso does'nt exist')

I also tried to restart debconf process by killing it, with more
success.


  Thanks for your attention,
	Fred.


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (800, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[iso-scan.ask_for_right_iso.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Sat, 09 Jan 2010 18:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 09 Jan 2010 18:48:15 GMT) Full text and rfc822 format available.

Message #10 received at 564441@bugs.debian.org (full text, mbox):

From: Fred <fboiteux@free.fr>
To: 564441@bugs.debian.org
Cc: "Frans Pop" <elendil@planet.nl>
Subject: Re: Bug#564441: Acknowledgement (iso-scan: proposed patch to select an ISO among multiple ones)
Date: Sat, 9 Jan 2010 19:41:57 +0100
 Thanks Frans for your comments, I'll take them in account and try to
implement what you suggest (if I could). Ack also for the syntax, I'll
try to fix it.
  About your solution, I didn't follow this way because I thought
adding one more question could be annoying, especially for
beginners, and concerns only "experienced" installation/users. Should a
"default" installation find itself the [first] ISO available from
possible devices ?

	Fred.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Thu, 28 Jan 2010 20:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 28 Jan 2010 20:42:09 GMT) Full text and rfc822 format available.

Message #15 received at 564441@bugs.debian.org (full text, mbox):

From: Fred <fboiteux@free.fr>
To: 564441@bugs.debian.org
Subject: new version of the proposed patch
Date: Thu, 28 Jan 2010 21:38:21 +0100
[Message part 1 (text/plain, inline)]
	Hello,

  I've updated my patch to follow suggestions from F. Pop, and tested
it at my level. Perhaps some enhancements could be added for a better
usability.
  If you call the Debian Installer with default debconf level, it
automatically scans all devices and select the first detected ISO
(*but*, on the contrary of old iso-scan behaviour, it scans all
available disks before to select first ISO). If we call Debian Installer
with 'medium' level (debconf/priority=medium), we can choose which
device to scan, then select an ISO among detected ones.

There are some areas where I'm not sure the proposed patch is fully ok :
- the templates are definitely not best written texts
- about suggestions from F. Pop, I didn't know how to handle 'preseed',
as I don't know how it works
- then looking at the second pass for ISOs in sub-directories, I wonder
if I had to give also the top-directories' detected ISO ; I left them
in the final list, but perhaps it isn't the best choice.


  with regards,
	Fred.
[iso-scan.ask_for_right_iso_v2.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Sat, 30 Jan 2010 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 564441@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 30 Jan 2010 15:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 564441@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 564441@bugs.debian.org
Cc: Fred <fboiteux@free.fr>
Subject: Re: Bug#564441: new version of the proposed patch
Date: Sat, 30 Jan 2010 16:12:00 +0100
On Thursday 28 January 2010, Fred wrote:
> I've updated my patch to follow suggestions from F. Pop, and tested
> it at my level. Perhaps some enhancements could be added for a better
> usability.

Thanks Fred. I've taken a first look at the patch and will review it more 
thoroughly over the next days.

One issue is that you've hardcoded a few strings, which means not 
everything can be translated. I've already fixed it for the devices 
dialog, but for the ISO selection dialog it requires a bit more work.

> If you call the Debian Installer with default debconf level, it
> automatically scans all devices and select the first detected ISO
> (*but*, on the contrary of old iso-scan behaviour, it scans all
> available disks before to select first ISO). If we call Debian Installer
> with 'medium' level (debconf/priority=medium), we can choose which
> device to scan, then select an ISO among detected ones.

I'll see how it works out in practice, but maybe at high priority we should 
scan all devices without asking but, if more than one ISO was found, ask 
which ISO to use.

The devices should eventually probably be listed in a more user-friendly 
format, similar to what we do in partman.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Wed, 03 Feb 2010 21:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to 564441@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Feb 2010 21:57:15 GMT) Full text and rfc822 format available.

Message #25 received at 564441@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 564441@bugs.debian.org
Cc: 564441-submitter@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Wed, 3 Feb 2010 22:54:01 +0100
[Message part 1 (text/plain, inline)]
Hello Fred,

It took a bit of time, but I think you'll see why.

I do really like the new functionality. I think we'll need to discuss the 
details of the user interface a bit more, but the concept definitely 
works. My compliments for your work.

Attached a patch series, mostly on top of your last patch. It looks like a 
lot, but you'll see that I've not actually changed your functionality that 
much. A lot of the changes are cleanups and coding style improvements.
Also, some of the changes are improvements of existing code/functionality 
and don't really change your code. I did fix a few issues; more below.

The most invasive change is the restructuring of the state engine, but even 
that changes your new functionality only in very minor ways. But I hope 
you'll agree that with my changes it's more structured and readable.

Although my version of the script has more lines, it is actually roughly 
the same size as your version.

I've not yet reviewed the template texts yet as that's better delayed until 
we have the user interface finalized.

I've attached the patches as an incremental series because that way you can 
better see why I made individual changes. I've added a number of FIXMEs in 
the code. Some relate to your changes, but some are more general questions 
that should be considered now we're doing a major overhaul anyway.

Before we discuss any changes to the user interface I want to give you a 
chance to read through my changes. Please let me know if you have 
questions or don't agree with something I've done.

On Thursday 28 January 2010, Fred wrote:
> There are some areas where I'm not sure the proposed patch is fully ok :
> - the templates are definitely not best written texts

See above.

> - about suggestions from F. Pop, I didn't know how to handle 'preseed',
>   as I don't know how it works

Actually, I think that will mostly just work. Users should even be able to 
preseed a specific device (or list of devices) to scan, and even using 
both normal and persistent device names.

My patch 0013 addresses that a bit. Most important is to ensure that users 
will not end up in an endless loop, for example if no ISO can be found.

> - then looking at the second pass for ISOs in sub-directories, I wonder
>   if I had to give also the top-directories' detected ISO ; I left them
>   in the final list, but perhaps it isn't the best choice.

There was a bug there. After the second pass images in a top level 
directory would be listed twice. My patch 0010 solved that, but with that 
other images would disappear after the second pass. So I came up with 0011 
which is a pretty good implementation I think.
See the commit comments for details.


There were a few important issues with your patch.

* It made some dialogs untranslatable
You'd hardcoded a number of changes to dialogs in a way that could not be 
translated. I've fixed the device selection dialog (the "Choices-C" 
mechanism I've used there is really excellent), but not yet the ISO 
selection dialog.
Essentially you cannot make *any* assumptions about how a translation will 
look. Because of that it's not possible to change parts of sentences on 
the fly. We can however quite easily use different paragraphs in different 
situations. Localechooser has a lot of examples of that.

* Backing up to the main menu failed
Instead you'd end up endlessly doing the first state. My patch 0012 fixes 
that.
(The first state could even be moved out of the state engine, but I've left 
it in as that keeps the option open to implement a "scan for new devices" 
option. I don't think we'll need that though.)

* The state engine was rather complex
You had a number of state variables that needed complex testing and 
sometimes referred back to the result of earlier states.
The restructuring I've done is very much based on the state engine in 
localechooser.
A general rule is to have only one db_input in a state (at the end) and 
that the next state should start by testing the result of that. And it's 
perfectly OK to have states that don't ask questions.
Have a look and feel free to ask questions.

* Suite not set in final dialog (see patch 0008)
This could possibly be solved by creating a dir under /var/lib/ and saving 
the suite (or codename) in a file that has as its name the full path of 
the iso with s:/:_:g (or some other character).

I've already committed the first patch of the series in the D-I repo. 
That's why I've included your own patch: it's rebased on top of that 
(without any other changes).
You can just apply the patches one-by-one on top of current SVN using
'patch -p1', but, especially if you already know git, you could also 
consider doing the following (done from memory, so may not completely 
work):

* Save my patches somewhere; delete the first one.
$ mkdir iso-scan
$ git svn init svn+ssh://svn.debian.org/svn/d-i/trunk/packages/iso-scan
$ git svn fetch -r HEAD
$ git checkout -b from-frans
$ git am <path-to-my-patches>00*.patch
$ git checkout -b my-new work

And then you can easily make any incremental changes.

Cheers,
FJP

[iso-scan_review.tgz (application/x-tgz, attachment)]

Message sent on to Frédéric Boiteux <fboiteux@free.fr>:
Bug#564441. (Wed, 03 Feb 2010 21:57:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Tue, 09 Feb 2010 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 09 Feb 2010 07:21:06 GMT) Full text and rfc822 format available.

Message #33 received at 564441@bugs.debian.org (full text, mbox):

From: Fred <fboiteux@free.fr>
To: 564441@bugs.debian.org, 564441-quiet@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Tue, 9 Feb 2010 08:09:12 +0100
	Hello Frans,

Le Wed, 3 Feb 2010 22:54:01 +0100,
Frans Pop <elendil@planet.nl> a écrit :

> Hello Fred,
>
> It took a bit of time, but I think you'll see why.
> 
> I do really like the new functionality. I think we'll need to discuss
> the details of the user interface a bit more, but the concept
> definitely works. My compliments for your work.
Thanks for the compliments, much appreciated :-)
 
> Attached a patch series, mostly on top of your last patch. It looks
> like a lot, but you'll see that I've not actually changed your
> functionality that much. A lot of the changes are cleanups and coding
> style improvements. Also, some of the changes are improvements of
> existing code/functionality and don't really change your code. I did
> fix a few issues; more below.
> …

I reviewed your patches, quite nothing to note, it's a nicer and
cleaner code (and I know that terse code doesn't mean maintainable
one ;-).
I followed your suggestion to use git (git-svn) to study it, and one
more time, I noted I have to learn more this great tool and all stuff
around it.

Here is my small remarks/questions :

0004-Fix-some-l10n-issues-more-remaining.patch
  * nice trick with ${var:+} : devlist=${devlist:+$devlist, }$dev
  * what does mean ':sl3:' in debconf templates ? I didn't use the '_'
before 'description' because then doing it, then loading template inside
iso-scan.postinst (as a hack you shown me), I got empty strings.
Actually, I incorrectly put a ^ instead of _ just before building my
patch.

0006-Refactor-analyze_cd-to-return-the-description.patch
  * the 'printf' call simplifies the ISO description, well done.

0007-Define-variables-local-in-functions.patch
  * ok for 'local' use (I didn't find one so assume it wasn't used
here). About variable names, I only guessed that uppercase names were
    for global variables, whereas lowercase were for local ones.

0010-Reset-ISOS_FOUND-to-avoid-displaying-duplicates-afte.patch
  * you're right for the bug. I wonder why we differentiate '.  and
first-level dirs ?

0011-Alternative-implementation-of-directory-scan.patch
  * fixme about -e sufficient to detect broken symlinks : yes.
  * about using '-f' find flag to filter symlinks : I would not use
    it in first pass, to allow symlinks in the top dir pointing to a
sub-level one, but use it in second pass to avoid duplicates.

0012-Restructure-state-engine.patch
  * state 20 : why not choosing debconf level (between medium and high)
depending on number of ISO found, as in state 30 ?
  * state 30 : we ask user to choose which ISO to use even if there is
only one, isn't it ?

I thought also that the first argument for scan_device_for_isos
function should be a text arg like 'top'/'full' instead of 0/1,
we'd have better readability and don't loose speed.

One 'FIXme' you didn't add but spoke before was about ISO presentation
when selecting one : perhaps we could better present devices (with
disk name, partition labels if any) ?

  I'll try to look about other FIXme tags in the next days, and propose
patches if I can do nice code. I also have to test your version more
carefully in my Qemu setup, as first runs didn't run as expected, but
anyway, I'm using your version now.

    with regards,
	Fred.




Information stored :
Bug#564441; Package iso-scan. (Tue, 09 Feb 2010 07:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and filed, but not forwarded. (Tue, 09 Feb 2010 07:21:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Tue, 09 Feb 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 564441@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 09 Feb 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #43 received at 564441@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 564441@bugs.debian.org
Cc: 564441-submitter@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Tue, 9 Feb 2010 20:39:54 +0100
On Tuesday 09 February 2010, Fred wrote:
> Here is my small remarks/questions :
>
> 0004-Fix-some-l10n-issues-more-remaining.patch
> * what does mean ':sl3:' in debconf templates ?

It's a D-I specific comment that allows us to split PO files into 5 
different levels so translators can concentrate on the most important 
parts first. Don't worry about it :-)

> 0007-Define-variables-local-in-functions.patch
> * ok for 'local' use (I didn't find one so assume it wasn't used here).

It's more important when a script gets more complex.

>   About variable names, I only guessed that uppercase names were 
>   for global variables, whereas lowercase were for local ones.

Correct. That's the convention we use, but it isn't 100% consistent.

> 0010-Reset-ISOS_FOUND-to-avoid-displaying-duplicates-afte.patch
> * you're right for the bug. I wonder why we differentiate '.  and
>   first-level dirs ?

From memory: mostly because we want the progress display for both.
But it could be cleaned up. Something like:
   dirs="$(find . -maxdepth 1 -type d)"
   for dir in $dirs; do

That would also give the number of dirs for progress bar when scanning only 
one device: count=$(echo "$dirs" | wc -l)

> 0011-Alternative-implementation-of-directory-scan.patch
> * fixme about -e sufficient to detect broken symlinks : yes.
> * about using '-f' find flag to filter symlinks : I would not use
>   it in first pass, to allow symlinks in the top dir pointing to a
>   sub-level one, but use it in second pass to avoid duplicates.

That's a nice suggestion.

> 0012-Restructure-state-engine.patch
> * state 20 : why not choosing debconf level (between medium and high)
>   depending on number of ISO found, as in state 30 ?
> * state 30 : we ask user to choose which ISO to use even if there is
>   only one, isn't it ?

That's the part that still needs discussion. I haven't yet fully thought it 
through. Plan to send a proposal soon.

> I thought also that the first argument for scan_device_for_isos
> function should be a text arg like 'top'/'full' instead of 0/1,
> we'd have better readability and don't loose speed.

Doesn't make that much difference IMO.

I like the following for on/off switches (clean test/smallest code):
some_function() {
	condition=$1
	other_var=$2
	if [ "$condition" ]; then
	...
}

And then call it with:
	some_function 1 "$var"
	some_function "" "$var"

But this is also an option:
some_function() {
	condition=$1
	other_var=$2
	if $condition; then
	...
}

And then call with:
	some_function true "$var"
	some_function false "$var"

> One 'FIXme' you didn't add but spoke before was about ISO presentation
> when selecting one : perhaps we could better present devices (with
> disk name, partition labels if any) ?

I have already improved device selection. See [1]. My current version even 
shows the label of the device and the device/partition size.

For selection of the ISO I don't really think it's possible as the total 
description would get too long. And for that the description of the ISO 
itself should IMO be sufficient anyway.

I've also added an option to rescan devices in the device selection dialog.

> I also have to test your version more carefully in my Qemu setup, as
> first runs didn't run as expected, but anyway, I'm using your version
> now. 

Testing would be much appreciated. I did test with ISOs for different 
arches in different locations on 2 disks, but bugs are quite possible.

[1] http://lists.debian.org/debian-boot/2010/02/msg00102.html




Message sent on to Frédéric Boiteux <fboiteux@free.fr>:
Bug#564441. (Tue, 09 Feb 2010 19:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Wed, 10 Feb 2010 21:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 10 Feb 2010 21:36:10 GMT) Full text and rfc822 format available.

Message #51 received at 564441@bugs.debian.org (full text, mbox):

From: Fred <fboiteux@free.fr>
To: 564441@bugs.debian.org, 564441-quiet@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Wed, 10 Feb 2010 22:34:17 +0100
[Message part 1 (text/plain, inline)]
  Hi Frans,

  Thanks for your light about d-i internals.
I've tested your iso-scan version with success, apart a bug I found
when having a directory with a space in its name.
I've tried to use git to build some small patches, but I didn't found
yet how to build a list of patch files from a list of commits. You'll
find attached the result of 'git log -p', hope it's usable.

	Cheers,
		Fred.
[git-log.patches (application/octet-stream, attachment)]

Information stored :
Bug#564441; Package iso-scan. (Wed, 10 Feb 2010 21:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fred <fboiteux@free.fr>:
Extra info received and filed, but not forwarded. (Wed, 10 Feb 2010 21:36:14 GMT) Full text and rfc822 format available.

Message sent on to Frédéric Boiteux <fboiteux@free.fr>:
Bug#564441. (Thu, 11 Feb 2010 02:42:03 GMT) Full text and rfc822 format available.

Message #59 received at 564441-submitter@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 564441-submitter@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Thu, 11 Feb 2010 03:41:18 +0100
(private reply only)

On Wednesday 10 February 2010, you wrote:
> I've tried to use git to build some small patches, but I didn't found
> yet how to build a list of patch files from a list of commits.

git format-patch -n -o ./ <start point>

Where <start point> is the commit _before_ the first one you want to send.
It can e.g. be the branch on top of which you've made your changes.

> You'll find attached the result of 'git log -p', hope it's usable.

Thanks. Indentation is a bit messy, but I'll fix that.




Information stored :
Bug#564441; Package iso-scan. (Mon, 22 Feb 2010 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric Boiteux <fboiteux@free.fr>:
Extra info received and filed, but not forwarded. (Mon, 22 Feb 2010 21:12:07 GMT) Full text and rfc822 format available.

Message #64 received at 564441-quiet@bugs.debian.org (full text, mbox):

From: Frédéric Boiteux <fboiteux@free.fr>
To: Frans Pop <elendil@planet.nl>, 564441-quiet@bugs.debian.org
Cc: 564441-submitter@bugs.debian.org
Subject: Re: Bug#564441: new version of the proposed patch
Date: Mon, 22 Feb 2010 22:08:42 +0100
[Message part 1 (text/plain, inline)]
	Hello,

  Here is some proposed patches to try to enhance the iso-scan program.
Hope you'll find it useful.
  I don't think I could do something for the remaining 'fixme', I don't have
ideas how to correct them...

	regards,
		Fred.
[0004-In-case-of-scan-of-one-single-device-do-a-progress-p.patch (text/x-patch, attachment)]
[0005-Show-soft-linked-ISO-only-on-first-pass-when-scannin.patch (text/x-patch, attachment)]

Message sent on to Frédéric Boiteux <fboiteux@free.fr>:
Bug#564441. (Mon, 22 Feb 2010 21:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Tue, 22 Feb 2011 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 22 Feb 2011 09:12:03 GMT) Full text and rfc822 format available.

Message #72 received at 564441@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jörg Esser <jackfritt@boh.de>, Frédéric Boiteux <fboiteux@free.fr>, 564441@bugs.debian.org
Subject: Re: Bug#590568: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Tue, 22 Feb 2011 10:01:30 +0100
>>
>> Not really. That requires changes to the iso-scan component. As of
>> now, as soon as a Debian ISO is found, it is used.
>>    
> I found another bugreport with pending patches which could help me. Do 
> you know why its not going on ? ;)
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=564441
> 
> Or should I contact the persons over there ?

Nice catch. I was indeed working on a complete bug triaging of iso-scan 
these days and would probably have come on this one at one moment or 
another...but it is nice of you to point me there.

Apparently (I now remember that discussion), Frans Pop and the original 
bug reporter came to an acceptable patch...so it just needs action by 
someone for being applied.

I plan to do this in a foreseeable future (understand the upcoming 
days..;:-)).

No need to contact people who were involved in the bug report, actually. 
 I'm CC'ing Frédéric Boiteux to this answer, as well as the original 
bug report, so that things are recorded.

For your information, Frans Pop, who participated in the discussion 
about this bug with Frédéric, unfortunately passed last year, in August. 
 You may have read this elsewhere, probably.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#564441; Package iso-scan. (Tue, 22 Feb 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Mazurczyk <k.mazurczyk@update.poznan.pl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 22 Feb 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #77 received at 564441@bugs.debian.org (full text, mbox):

From: Krzysztof Mazurczyk <k.mazurczyk@update.poznan.pl>
To: 564441@bugs.debian.org
Subject: Re: Bug#564441: Bug#590568: hd-media boot.img.gz's installer cannot find squeeze RC2 iso file
Date: Tue, 22 Feb 2011 21:35:31 +0100
[Message part 1 (text/plain, inline)]
On Tue 22/Feb/11 10:01, Christian Perrier wrote:
> Apparently (I now remember that discussion), Frans Pop and the original
> bug reporter came to an acceptable patch...so it just needs action by
> someone for being applied.
>
> I plan to do this in a foreseeable future (understand the upcoming
> days..;:-)).

I'm using this patch and I must say I've been founding it useful.
But proposed patch has a kind of bug itself which appears when you
have mixed stable/testing isos.

If stable iso is founding as first one, then if you choose testing iso
the installer is searching a stable distribution on that testing iso
next.

Feb 13 11:06:29 main-menu[323]: INFO: Menu item 'load-iso' selected
Feb 13 11:06:29 anna[5485]: grep: /cdrom/dists/stable/Release: No such
file or directory
Feb 13 11:06:29 cdrom-retriever: error: No components listed in
/cdrom/dists/stable/Release.

But
~ # ls -l /cdrom/dists/
dr-xr-xr-x    4 root     root          2048 Oct 18 22:00 squeeze
lr-xr-xr-x    1 root     root             7 Oct 18 22:00 testing ->
squeeze

I'm not sure if stable iso should be found as first or to be present
only is enough. But the sure is that attached patch corrects the
problem. Not fully tested but works and is GEFM (good enough for me ;))
[patch_iso-can_change_suite_to_codename.patch (text/x-patch, attachment)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sun, 13 Mar 2011 06:51:03 GMT) Full text and rfc822 format available.

Notification sent to Frédéric Boiteux <fboiteux@free.fr>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 06:51:03 GMT) Full text and rfc822 format available.

Message #82 received at 564441-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 564441-close@bugs.debian.org
Subject: Bug#564441: fixed in iso-scan 1.32
Date: Sun, 13 Mar 2011 06:47:08 +0000
Source: iso-scan
Source-Version: 1.32

We believe that the bug you reported is fixed in the latest version of
iso-scan, which is due to be installed in the Debian FTP archive:

iso-scan_1.32.dsc
  to main/i/iso-scan/iso-scan_1.32.dsc
iso-scan_1.32.tar.gz
  to main/i/iso-scan/iso-scan_1.32.tar.gz
iso-scan_1.32_all.udeb
  to main/i/iso-scan/iso-scan_1.32_all.udeb
load-iso_1.32_all.udeb
  to main/i/iso-scan/load-iso_1.32_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 564441@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated iso-scan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Mar 2011 19:58:42 +0100
Source: iso-scan
Binary: iso-scan load-iso
Architecture: source all
Version: 1.32
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 iso-scan   - Scan hard drives for an installer ISO image (udeb)
 load-iso   - Load installer components from an installer ISO (udeb)
Closes: 564441
Changes: 
 iso-scan (1.32) unstable; urgency=low
 .
   [ Joey Hess ]
   * Fix insufficient quoting.
 .
   [ Frans Pop / Frédéric Boiteux ]
   * Nearly complete rewrite of iso-scan.postinst to allow choosing
     the ISO image to use. Closes: #564441
 .
   [ Updated translations ]
   * Nepali (ne.po)
Checksums-Sha1: 
 fd81300287b8fcc7f9c49d66e2e5917eecb16780 1480 iso-scan_1.32.dsc
 f894325ae2d93b268722d2cc0afd8d598607361f 79625 iso-scan_1.32.tar.gz
 7972cb51c6a331f8559e3845735ab7c52dd13110 28828 iso-scan_1.32_all.udeb
 253ceaba2fd09660836a4b5c812cd15ecd465c47 3976 load-iso_1.32_all.udeb
Checksums-Sha256: 
 156f906462648e0ffa5eec92befc49434f3e5a4c21af29ef22b2558354240a99 1480 iso-scan_1.32.dsc
 5890e16414495ae9224d4df757c40fb854cfed907b4976e27fa180f98548558b 79625 iso-scan_1.32.tar.gz
 449844892b6d9cd23a242a1cf5c97f02ef928daafd68e7bbfece8e8f4b8039d0 28828 iso-scan_1.32_all.udeb
 9fa646078e847eea216203f02d9eac40f437e52999c9a495627f5540cb31edcc 3976 load-iso_1.32_all.udeb
Files: 
 21c20f1a6b4c2fb8009f6aee519f9c9e 1480 debian-installer optional iso-scan_1.32.dsc
 5a3c3d9151de8f0e4c21318699cec87e 79625 debian-installer optional iso-scan_1.32.tar.gz
 4a4cf439a6bee8b04214e201e483b4b9 28828 debian-installer optional iso-scan_1.32_all.udeb
 f8c4fe7a2f3df359262d312887f03b23 3976 debian-installer extra load-iso_1.32_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTXxmxIcvcCxNbiWoAQL9xw//VwIR/bthaxB3JMCEP0TVmG5b1h41WMjW
U+4Q5PDNNlZeCPQrDiwJIuCVw1iV/DtWaMeW2E7WEVyCirefetmqArVhP4wKC69m
Zdmn12sGi4FlRUIrCJ/wy7qGjDRany82svwL2lhfdKJBKvewcQmXkkfBtYkKaVYv
V9LuAwzGwb+YrZCv/ng0CIq9TZUGVpFdDaK+C3TVIWy7Sb1UbsA+VMZUeC80cfEF
XYtpRHydze8q+Rxz7tiCQ8tp8bB5om6Ql6R9KoTDIvc5zK9gSDARLjIIKfkB+C4B
ROhOqEbI32Us88fzebBjMLBZ4WxFKrIj4URNXhEZji05wciY32i8QRgIjc6JMo17
1Zr5+2Xr9eM6XpFPi3Kr++s/WGZVg2tLuLNDyh2pWp+1DXHIHu3Y2IIuQUDTQ3j/
ags0NqVhsDdiagEY7J0hcUvqQlu/ft/p3BH0z2R71hCNA93hsXnFjxJ6muH0Z8hX
G39vpZVM7frPYnDAJsU4pXrzSxS0BU0sXOIujMq/kvaNweVkJe75f1lVCtKwNHOQ
73Bp2EPJr1deZvrhVoBAk17ciAlXRrAIYkmysGeNPlR5onv5eI7b8VHKPluKwyUi
9luRecgtqVHc5tnnsnEfOMTE9wylv9MrmfwVm25fi2OlYpy/NJRLyhsxttLU1jee
ot+QfvTnnFE=
=BWwr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:38:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:44:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.